com.aliyun.player.source

## Class SourceBase

- java.lang.Object
- - com.aliyun.player.source.SourceBase

- Direct Known Subclasses:
    UrlSource, VidSourceBase

      public class SourceBase
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `mForceQuality`
    `protected java.lang.String` | `mQuality`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCoverPath()` Query the URL of the album cover.
    `java.lang.String` | `getQuality()` Query the definition of the media.
    `java.lang.String` | `getTitle()` Query the title of the media.
    `boolean` | `isForceQuality()` Indicate whether to force the player to play the media with the specified definition.
    `void` | `setCoverPath(java.lang.String mCoverPath)` Set the URL of the album cover.
    `void` | `setTitle(java.lang.String mTitle)` Set the title of the media.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mQuality

          protected java.lang.String mQuality

    - #### mForceQuality

          protected boolean mForceQuality

  - ### Constructor Detail

    - #### SourceBase

          public SourceBase()

  - ### Method Detail

    - #### getCoverPath

          public java.lang.String getCoverPath()

      Query the URL of the album cover.
      Returns:
        The URL of the album cover.

    - #### setCoverPath

          public void setCoverPath(java.lang.String mCoverPath)

      Set the URL of the album cover.
      Parameters:
        `mCoverPath` - The URL of the album cover.

    - #### getTitle

          public java.lang.String getTitle()

      Query the title of the media.
      Returns:
        The title of the media.

    - #### setTitle

          public void setTitle(java.lang.String mTitle)

      Set the title of the media.
      Parameters:
        `mTitle` - The title of the media.

    - #### getQuality

          public java.lang.String getQuality()

      Query the definition of the media.
      Returns:
        The definition of the media.

    - #### isForceQuality

          public boolean isForceQuality()

      Indicate whether to force the player to play the media with the specified definition.
      Returns:
        Value true indicates that the player is forced to play the media with the specified definition.